# json-diff is not yet in Fedora
%global enable_tests 0
%global module_name esprima-fb

Name:           nodejs-%{module_name}
Version:        15001.1.0
Release:        5%{?dist}
Summary:        Facebook-specific fork of the esprima project

License:        BSD
URL:            https://github.com/facebook/esprima
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-15001.1.0-dev-harmony-fb.tgz
Source1:        http://github.com/facebook/esprima/raw/master/LICENSE.BSD
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
Esprima (esprima.org, BSD license) is a high performance, standard-compliant
ECMAScript parser written in ECMAScript (also popularly known as JavaScript).

Esprima-FB is a fork of the Harmony branch of Esprima that implements JSX
specification on top of ECMAScript syntax.

%prep
%setup -q -n package
cp -p %{SOURCE1} .

rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js bin %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
# We need to rename binaries as they conflict with npm(esprima) binaries
ln -s %{nodejs_sitelib}/%{module_name}/bin/esparse.js %{buildroot}%{_bindir}/esparse-fb.js
ln -s %{nodejs_sitelib}/%{module_name}/bin/esvalidate.js %{buildroot}%{_bindir}/esvalidate-fb.js


%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
node test/run.js
%nodejs_symlink_deps --check
%endif

%files
%doc README.md
%license LICENSE.BSD
%{_bindir}/esparse-fb.js
%{_bindir}/esvalidate-fb.js
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 15001.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 15001.1.0-4
- Fix conflicts with npm(esprima) binaries

* Sat Jul 18 2015 Parag Nemade <pnemade AT redhat DOT com> - 15001.1.0-3
- Use npmjs source as it provides only required source files

* Tue Jul 14 2015 Parag Nemade <pnemade AT redhat DOT com> - 15001.1.0-2
- Follow Git hosting source URL guidelines

* Thu Jul 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 15001.1.0-1
- Initial packaging

